Subject: bug#91: using mouse to paste into comint buffer

From: Nick Roberts <[email-masked]>
Date: Fri, 25 Jul 2008 09:36:29 +1200

> > If I try to select some text in a gnome-terminal and then paste it
 > > into a gud buffer, the actually-pasted text will often end up being
 > > the command on the previous line, rather than whatever I selected.
 > >
 > > This only seems to happen when the prompt line is the very last line
 > > of the window.  If I recenter first, I can paste my selection -- but
 > > this is pretty inconvenient and I often forget to do it.
 > 
 > I can't seem to reproduce this.  Nick, can you?

No, but I have encountered cut and paste problems in Emacs in the past (not GUD
specific).  I think these are generally due to the fact that the buffer I've
copied to is different to the one I'm trying to paste from: primary, secondary,
clipboard, kill ring, etc.

-- 
Nick                                           http://www.inet.net.nz/~nickrob